PGP(5.0)

NAME
pgpk - Public and Private key management for PGP.

SYNOPSIS
pgpk [-a keyfile ... | -c [userid]] | -d <userid> | -e <userid> | -g | -l[l] [userid] | --revoke[s] <userid> | -r[u|s] <userid> | -s <userid> [-u <yourid>] | -x <userid>] [-o <outfile>] [-z]

DESCRIPTION
pgpk Manages public and private keys for PGP. Unlike other PGP applications, pgpk is stream based and not file based; if no files are specified, stdin and stdout are used.

OPTIONS
All configuration options can be controlled from the command line. See pgp.cfg(5) for a complete list and how to specify them.

-a [keyfile]
    Adds the contents of keyfile to your keyring. If keyfile is not specified, input is taken from stdin. Keyfile may also be an URL; the supported protocols are hkp (Horowitz Key Protocol), http and finger. To add foo@bar.baz.com's key to your keyring from PGP, Inc's server, for example, enter: pgpk -a hkp://keys.pgp.com/foo@bar.baz.com If foo@bar.baz.com has his key in his finger information, you could add that with: pgpk -a finger://bar.baz.com/foo If foo@bar.baz.com has his key on his web page, you could add that with: pgpk -a http://www.baz.com/foo/DSSkey.html

-c [userid]
    Checks the signatures of all keys on your public keyring. If [userid] is specified, only the signatures on that key are checked.

-d <userid>
    Toggles the disablement of <userid>'s key on your public keyring.

-e <userid>
    Edits <userid>'s key. If this is your key, it allows you to edit your userid(s) and passphrase. If it is someone else's key, it allows you to edit the trust you have in that person as an introducer.

-g  Generate a public/private key pair.

-l[l] [userid]
    Lists information about a key. -ll lists more information about a key. If [userid] is specified, that key is listed. Otherwise, all keys are listed.

-o outfile
    Specifies that output should go to outfile. If not specified, output goes to stdout. If the output file is from a key extraction (see -x, below), you may specify an hkp (Horowitz Key Protocol) URL. For example: pgpk -x foo@bar.baz.com -o hkp://keys.pgp.com would send foo@bar.baz.com's key to the PGP, Inc. public key server.

--revoke <userid>
    Permanately revokes the key specified. There is no way to undo this, so don't play with it if you don't mean it.

--revokes <userid>
    Permanently revokes your signature (if any) on the key specified.

-r <userid>
    Removes <userid>'s key from your public keyring, and your private as well, if it's there.

-ru <userid>
    Removes the given userid from your public and private keyrings.

-rs <userid>
    Removes the given signature from your public keyring.

.s <userid> [-u <yourid>]
    Signs <userid>'s key with your default signing key. If -u is specified, uses that key, instead.

-x <userid>
    Extracts the specified key in ASCII-armored form. -x <userid>

-z  Batch mode. See pgp-integration(7) for a discussion of integrating pgp support into your application.

EXAMPLE
pgpk -g Generates a key.

FILES
~/.pgp/pgp.cfg
    User-specific configuration file. In previous releases, this file was called config.txt. See pgp.cfg(5) for further details.

BUGS
    See pgp(1).

SEE ALSO
pgp(1), pgpv(1), pgpe(1), pgps(1), pgp.cfg(5), pgp-integration(7), http://www.pgp.com and http://web.mit.edu/network/pgp.html